{% layout "base.html" %}

{% block content %}
<section class="relative">
  <button type="button" class="menu-open-btn z-50 md:hidden inline-block fixed -right-4 bottom-36 text-black bg-slate-300 hover:bg-slate-400 focus:ring-4 focus:outline-none focus:ring-slate-200 font-medium rounded-lg text-sm p-2.5 text-center inline-flex items-center mr-2">
    <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
      <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5" />
    </svg>
  </button>
  <div class="container max-w-screen-lg mx-auto">
    <div class="grid grid-cols-3 gap-12">
      <div class="content-container md:col-span-2 col-span-3 mx-auto max-w-full prose prose-img:inline prose-img:my-1 prose-slate prose-h2:pt-24 prose-h2:-mt-16 prose-p:text-lg prose-a:no-underline prose-a:text-sky-400 prose-a:font-semibold hover:prose-a:underline prose-p:text-white prose-strong:text-white prose-headings:text-yellow-400 prose-code:text-white">
        {{ content }}
      </div>

      <div class="offcanvas-menu border-blue text-white
        md:col-span-1 md:block md:sticky md:top-20 md:h-max md:pt-8 md:px-0 md:shadow-none md:w-full md:z-auto md:relative md:bg-transparent
        pt-5 bg-badgie-blue-darker-250 fixed h-screen col-span-3 top-0 right-0 z-50 w-2/3 shadow-md px-6 md:duration-0 duration-200 md:translate-x-0 translate-x-full">
        <div class="flex justify-between">
          <p class="font-semibold text-xl mb-2">Contents</p>
          <button class="menu-close-btn md:hidden inline-block">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
              <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
            </svg>
          </button>
        </div>
        <hr class="my-3">
        {{ content | toc: '{"tags":["h2"],"wrapper":"div","wrapperClass":"table-of-contents"}' }}
      </div>
    </div>
  </div>
</section>
{% endblock content %}
